> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 数据中心和 ISP 的可用 IP 数量

<Tip>
  请将 API 令牌粘贴到“授权”字段。 如需获取令牌，请创建账户并了解如何生成令牌

  [Create an account](https://brightdata.com/?hs_signup=1\&utm_source=docs\&utm_campaign=playground), [generate a token](/api-reference/unlocker/api_token)
</Tip>

<Accordion title="计划示例">
  * 当前区域计划中可用的 IP:

  ```sh theme={null}
  curl "https://api.brightdata.com/count_available_ips?zone=ZONE" -H "Authorization: Bearer API_TOKEN"
  ```

  * 抽象计划，专用 IP：

  ```sh dedicated IPs theme={null}
  curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"dedicated\"\}" -H "Authorization: Bearer API_TOKEN"
  ```

  * 抽象计划，共享 IP 位于美国：

  ```sh theme={null}
  curl "https://api.brightdata.com/count_available_ips?plan=\{\"country\":\"us\",\"ips_type\":\"shared\"\}" -H "Authorization: Bearer API_TOKEN"
  ```

  * 抽象计划，专用 IP 位于美国：

  ```sh theme={null}
  curl "https://api.brightdata.com/count_available_ips?plan=\{\"country\":\"us\",\"ips_type\":\"dedicated\"\}" -H "Authorization: Bearer API_TOKEN"
  ```

  * 抽象计划，共享 IP 位于美国丹佛：

  ```sh theme={null}
  curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"shared\",\"country_city\":\"us-denver\",\"city\":true\}" -H "Authorization: Bearer API_TOKEN"
  ```

  * 抽象计划，共享 IP 位于美国，仅适用于以下域名：amazon.com 和 fb.com：

  ```sh theme={null}
  curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"selective\",\"country\":\"us\",\"domain_whitelist\":\"amazon.com%20fb.com\"\}" -H "Authorization: Bearer API_TOKEN"
  ```

  * 抽象计划，共享 IP 位于美国，地理位置 IP 数据库：需同时存储在 `maxmind` 和 `dbip` 中：

  ```sh theme={null}
  curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"shared\",\"country\":\"us\",\"geo_db\":\{\"maxmind\":true,\"dbip\":true\}\}" -H "Authorization: Bearer API_TOKEN"
  ```
</Accordion>


## OpenAPI

````yaml GET /zone/count_available_ips
openapi: 3.0.1
info:
  title: Brightdata API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /zone/count_available_ips:
    get:
      parameters:
        - in: query
          name: zone
          description: name of the Zone
          required: false
          schema:
            type: string
        - in: query
          name: plan
          required: false
          schema:
            type: object
            properties:
              pool_ip_type:
                type: string
                description: >-
                  use in case you want to get the amount of ISP IPs available,
                  the default amount for that API endpoint is data center peer
                  IPs.
                default: static_res
              ips_type:
                type: string
                description: |+
                  type of IPs. 

                   `shared`: For shared 

                   `selective`: For selective 

                   `dedicated`: For dedicated 

              country:
                type: string
                description: IPs location country
              country_city:
                type: string
                description: defines the city location of the IPs
              city:
                type: boolean
                description: required with `country_city` parameter
              domain_whitelist:
                type: string
                description: |-
                  Space separated list of domains 

                   **Note**: for `curl` the spaces should be urlencoded : `d1.com%20d2.com`
              geo_db:
                type: object
                description: turns on/off using of the IP`s location databases
                properties:
                  maxmind:
                    type: boolean
                    default: true
                    description: use MaxMind IP location DB
                  dbip:
                    type: boolean
                    default: true
                    description: use DB-IP IP location DB
                  google:
                    type: boolean
                    default: true
                    description: use Google IP location DB
                  ip2location:
                    type: boolean
                    default: true
                    description: use IP2Location IP location DB
                  ipcn:
                    type: boolean
                    default: true
                    description: use ip.cn IP location DB
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                example:
                  count: 1234
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````